---
title: round
slug: Web/XPath/Functions/round
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>round</code> function returns a number that is the nearest integer to the given number.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">round(<em>decimal</em> )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><em><code>decimal</code></em></dt>
 <dd>The decimal number to be rounded.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>The nearest integer less then, greater than, or equal to<em><code>decimal</code></em>.</p>

<h3 id="Notes">Notes</h3>

<ul>
 <li>-0.5 rounds to negative zero. 0.4 rounds to postive zero.</li>
</ul>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-round">XPath 1.0 4.4</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
